メインコンテンツへスキップ
POST
/
api
/
v0
/
computers
/
{computerId}
/
files
/
{fileName}
/
create-download
Create a computer file download
curl --request POST \
  --url https://api.factory.ai/api/v0/computers/{computerId}/files/{fileName}/create-download \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sessionId": "<string>",
  "contentType": "<string>"
}
'
import requests

url = "https://api.factory.ai/api/v0/computers/{computerId}/files/{fileName}/create-download"

payload = {
    "sessionId": "<string>",
    "contentType": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({sessionId: '<string>', contentType: '<string>'})
};

fetch('https://api.factory.ai/api/v0/computers/{computerId}/files/{fileName}/create-download', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "transferId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "expiresAt": 123,
  "downloadUrl": "<string>",
  "byteLength": 1
}
{
  "detail": "<string>",
  "status": 123,
  "title": "<string>",
  "metadata": {}
}
{
  "detail": "<string>",
  "status": 123,
  "title": "<string>",
  "metadata": {}
}
{
  "detail": "<string>",
  "status": 123,
  "title": "<string>",
  "metadata": {}
}
{
  "detail": "<string>",
  "status": 123,
  "title": "<string>",
  "metadata": {}
}
{
  "detail": "<string>",
  "status": 123,
  "title": "<string>",
  "metadata": {}
}
{
  "detail": "<string>",
  "status": 123,
  "title": "<string>",
  "metadata": {}
}
{
  "detail": "<string>",
  "status": 123,
  "title": "<string>",
  "metadata": {}
}

承認

Authorization
string
header
必須

Factory API key or JWT token for authentication

パスパラメータ

computerId
string
必須

Computer ID

fileName
string
必須

Workspace file name

Required string length: 1 - 255
Pattern: ^(?=.*\S)(?!.*[\\/])(?!.*\.\.)(?!.*[\x00-\x1F\x7F]).+$

ボディ

application/json
sessionId
string
必須
Minimum string length: 1
contentType
string
Required string length: 1 - 255
Pattern: ^[!#$%&'*+.^_`|~0-9A-Za-z-]+\/[!#$%&'*+.^_`|~0-9A-Za-z-]+(?: *; *[!#$%&'*+.^_`|~0-9A-Za-z-]+=(?:[!#$%&'*+.^_`|~0-9A-Za-z-]+|"[\x20-\x7E]*"))*$

レスポンス

Response for status 200

transferId
string<uuid>
必須
expiresAt
number
必須
downloadUrl
string
必須
Minimum string length: 1
byteLength
integer
必須
必須範囲: x >= 0